/* $Id: romfs.c,v 1.3 2006/12/26 15:52:26 khorben Exp $ */



#include <stdint.h>
#include "plugin.h"


/* types */
#pragma pack(1)
struct romfs
{
	char sig[8];
	uint32_t size;
	uint32_t checksum;
};
#pragma pack()


/* variables */
/* signatures */
static char sig[] = "-rom1fs-";

/* plugin */
PluginType plugin_type = PT_ARCHIVE;
char const plugin_name[] = "ROMFS";
PluginMagic plugin_magic[] =
{
	{ sizeof(struct romfs),	0,	sig,	sizeof(sig)-1	},
	{ 0,			0,	NULL,	0		}
};
