/* $Id: fat.c,v 1.8 2006/12/26 15:52:25 khorben Exp $ */



#include "plugin.h"


/* variables */
/* signatures */
static char oemwin[] = "MSWIN4.1";
static char oemdos[] = "MSDOS5.0";
static char volname[] = "NO NAME    ";
static char type16[] = "FAT16   ";
static char type32[] = "FAT32   ";
static char type[] = "FAT";
static char boot[] = "\x55\xaa";
static char lead32[] = "\x41\x61\x52\x52";
static char sig32[] = "\x61\x41\x72\x72";

/* plugin */
PluginType plugin_type = PT_ARCHIVE | PT_EXECUTABLE;
char const plugin_name[] = "FAT";

PluginMagic plugin_magic[] =
{
	{ 512,	3,	oemwin,		sizeof(oemwin)-1	},
	{ 512,	3,	oemdos,		sizeof(oemdos)-1	},
	{ 512,	43,	volname,	sizeof(volname)-1	},
	{ 512,	54,	type16,		sizeof(type16)-1	},
	{ 512,	71,	volname,	sizeof(volname)-1	},
	{ 512,	82,	type32,		sizeof(type32)-1	},
	{ 512,	54,	type,		sizeof(type)-1		},
	{ 512,	510,	boot,		sizeof(boot)-1		},
	{ 512,	0,	lead32,		sizeof(lead32)-1	},
	{ 512,	484,	sig32,		sizeof(sig32)-1		},
	{ 0,	0,	NULL,		0			}
};
